Получение списка товаров
curl --request POST \
--url https://seller-api.teez.kz/api/seller/v1/products/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pageNumber": 123,
"pageSize": 123,
"sortBy": "<string>",
"sortDirection": "<string>",
"filters": {
"categoryIds": [
123
],
"productStatus": [
"<string>"
],
"moderationProductStatus": [
"<string>"
],
"search": "<string>",
"shopId": 123
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pageNumber: 123,
pageSize: 123,
sortBy: '<string>',
sortDirection: '<string>',
filters: {
categoryIds: [123],
productStatus: ['<string>'],
moderationProductStatus: ['<string>'],
search: '<string>',
shopId: 123
}
})
};
fetch('https://seller-api.teez.kz/api/seller/v1/products/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://seller-api.teez.kz/api/seller/v1/products/list"
payload = {
"pageNumber": 123,
"pageSize": 123,
"sortBy": "<string>",
"sortDirection": "<string>",
"filters": {
"categoryIds": [123],
"productStatus": ["<string>"],
"moderationProductStatus": ["<string>"],
"search": "<string>",
"shopId": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"products": [
{
"productId": 123,
"productName": {
"rus": "<string>",
"kaz": "<string>"
},
"categoryId": 123,
"categoryName": {
"rus": "<string>",
"kaz": "<string>"
},
"productStatus": "<string>",
"moderationStatus": "<string>",
"totalWmsQuantity": 123,
"salesCount": 123,
"photo": {
"url": "<string>"
}
}
],
"totalCount": 123,
"pageNumber": 123,
"pageSize": 123,
"totalPages": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"errors": {}
}Products
Получение списка товаров
POST
/
api
/
seller
/
v1
/
products
/
list
Получение списка товаров
curl --request POST \
--url https://seller-api.teez.kz/api/seller/v1/products/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pageNumber": 123,
"pageSize": 123,
"sortBy": "<string>",
"sortDirection": "<string>",
"filters": {
"categoryIds": [
123
],
"productStatus": [
"<string>"
],
"moderationProductStatus": [
"<string>"
],
"search": "<string>",
"shopId": 123
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pageNumber: 123,
pageSize: 123,
sortBy: '<string>',
sortDirection: '<string>',
filters: {
categoryIds: [123],
productStatus: ['<string>'],
moderationProductStatus: ['<string>'],
search: '<string>',
shopId: 123
}
})
};
fetch('https://seller-api.teez.kz/api/seller/v1/products/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://seller-api.teez.kz/api/seller/v1/products/list"
payload = {
"pageNumber": 123,
"pageSize": 123,
"sortBy": "<string>",
"sortDirection": "<string>",
"filters": {
"categoryIds": [123],
"productStatus": ["<string>"],
"moderationProductStatus": ["<string>"],
"search": "<string>",
"shopId": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"products": [
{
"productId": 123,
"productName": {
"rus": "<string>",
"kaz": "<string>"
},
"categoryId": 123,
"categoryName": {
"rus": "<string>",
"kaz": "<string>"
},
"productStatus": "<string>",
"moderationStatus": "<string>",
"totalWmsQuantity": 123,
"salesCount": 123,
"photo": {
"url": "<string>"
}
}
],
"totalCount": 123,
"pageNumber": 123,
"pageSize": 123,
"totalPages": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"errors": {}
}Тело
application/json
Запрос на получение списка товаров с фильтрацией и пагинацией
Номер страницы, начиная с 1
Количество элементов на странице
Название поля для сортировки (id, name, status)
Направление сортировки (Asc или Desc)
Объект с фильтрами товаров
Show child attributes
Show child attributes
Ответ
Success
Ответ на запрос списка товаров
⌘I